StreamEvent.SessionCompleteEvent (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.streaming

## Class StreamEvent.SessionCompleteEvent

- java.lang.Object
- - org.apache.cassandra.streaming.StreamEvent
  - - org.apache.cassandra.streaming.StreamEvent.SessionCompleteEvent

- Enclosing class:
    StreamEvent

      public static class StreamEvent.SessionCompleteEvent
      extends StreamEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.streaming.StreamEvent

      `StreamEvent.ProgressEvent, StreamEvent.SessionCompleteEvent, StreamEvent.SessionPreparedEvent, StreamEvent.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `description`
    `java.net.InetAddress` | `peer`
    `java.util.Set<StreamRequest>` | `requests`
    `int` | `sessionIndex`
    `boolean` | `success`
    `java.util.Map<java.lang.String,java.util.Set<Range<Token>>>` | `transferredRangesPerKeyspace`

    - ### Fields inherited from class org.apache.cassandra.streaming.StreamEvent

      `eventType, planId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionCompleteEvent(StreamSession session)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### peer

          public final java.net.InetAddress peer

    - #### success

          public final boolean success

    - #### sessionIndex

          public final int sessionIndex

    - #### requests

          public final java.util.Set<StreamRequest> requests

    - #### description

          public final java.lang.String description

    - #### transferredRangesPerKeyspace

          public final java.util.Map<java.lang.String,java.util.Set<Range<Token>>> transferredRangesPerKeyspace

  - ### Constructor Detail

    - #### SessionCompleteEvent

          public SessionCompleteEvent(StreamSession session)

Copyright © 2018 The Apache Software Foundation